/* eslint-disable no-dupe-keys */
module.exports = {
  publicPath: process.env.NODE_ENV === 'production' ? './' : './',
  outputDir: 'dist',
  assetsDir: 'static',
  lintOnSave: process.env.NODE_ENV === 'development',
  css: {
    loaderOptions: {
      scss: {
        additionalData: '@import "@/globle/variables.scss";'
      }
    }
  },
  devServer: {
    host: '0.0.0.0',
    proxy: {
      '/api': {
        target: process.env.VUE_APP_URL,
        changeOrigin: true,
        pathRewrite: {
          '^/api': ''
        }
      }
    }
  }
}
